Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class AbstractInjectableGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass

All Implemented Interfaces:
  GrailsClass, InjectableGrailsClass

Direct Known Subclasses:
  DefaultGrailsCodecClass, DefaultGrailsControllerClass, DefaultGrailsServiceClass, DefaultGrailsTagLibClass

    public abstract class AbstractInjectableGrailsClass

extends AbstractGrailsClass
implements InjectableGrailsClass

Configures Grails classe to be autowirable by name, always.

Since:
  0.1
Author:
  Graeme Rocher, Steven Devijver

Constructor Summary
`AbstractInjectableGrailsClass(Class<?> clazz, String trailingName)`

Method Summary
`boolean` | `byName()` If autowiring by name is enabled.
`boolean` | `byType()` If autowiring by type is enabled.
`boolean` | `getAvailable()` If class should be configured for dependency injection.

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Constructor Detail

### AbstractInjectableGrailsClass

    public AbstractInjectableGrailsClass(Class<?> clazz,
                                         String trailingName)

Method Detail

### byName

    public boolean byName()

  Description copied from interface: `InjectableGrailsClass`
  If autowiring by name is enabled.

  Specified by:
    `byName` in interface `InjectableGrailsClass`
  Returns:
    autowiring by name

### byType

    public boolean byType()

  Description copied from interface: `InjectableGrailsClass`
  If autowiring by type is enabled.

  Specified by:
    `byType` in interface `InjectableGrailsClass`
  Returns:
    autowiring by type

### getAvailable

    public boolean getAvailable()

  Description copied from interface: `InjectableGrailsClass`
  If class should be configured for dependency injection.

  Specified by:
    `getAvailable` in interface `InjectableGrailsClass`
  Returns:
    available for dependency injection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD